ascii-xfr(1)

NAZWA
ascii-xfr - podeślij/pobierz pliki przy użyciu protokołu ASCII

SKŁADNIA
ascii-xfr -s|-r [-dnv] [-l linedelay] [-c characterdelay] filename

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

Ascii-xfr Transferuje pliki w trybie ASCII. Oznacza to brak kontroli przepływu, brak sum kontrolnych i brak negocjacji nazwy pliku. Powinno się tego sposobu używać tylko w ostateczności.

Protokół ASCII transferuje pliki linia-po-linii. Znak EOL (końca linii) jest transferowany jako CRLF. Podczas odbierania, znak CR jest odrywany z nadchodzącego pliku. Znak Control-Z (ASCII 26) sygnalizuje EOF (koniec pliku).

Ascii-xfr podczas odczytu czyta z stdin, a podczas wysyłania zapisuje dane do stdout. Określona forma przekierowania wejścia lub wyjścia na urządzenie modemowe jest więc niezbędna do jakichkolwiek działań.

OPCJE

-s  Wyślij plik.

-r  Pobierz plik. Jedna z opcji -s lub -r musi być obecna.

-d  Użyj Control-D (ASCII 4) jako znaku EOF.

-n  Nie tłumacz CR na CRLF i odwrotnie.

-v  Verbose: pokazuj statystyki transferu na stderr.

-l milliseconds
    Podczas transmitowania, określa pauzę po każdej linii.

-c milliseconds
    Podczas transmisji, określa pauzę po każdym znaku.

file
    Nazwa wysyłanego (lub odbieranego) pliku. Podczas odbierania, każdy istniejący plik o tej nazwie zostanie skrócony.

UŻYCIE Z MINICOMEM
Jeśli chcesz wołać ten program z minicoma(1), uruchom go i przejdź do menu Options (opcje). Wybierz File transfer protocols (protokoły transferu plików). Dodaj następujące linie, np. jako protokoły I i J.

I  Ascii    /usr/bin/ascii-xfr -sv   Y   U   N   Y
J  Ascii    /usr/bin/ascii-xfr -rv   Y   D   N   Y

AUTOR
Miquel van Smoorenburg, miquels@cistron.nl

ZOBACZ TAKŻE
minicom(1)

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 ascii-xfr

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.